LibreOffice: XDropTargetDropContext Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDropTargetDropContext Interface Referencepublished

This interface is implemented by any drop target context object. More...

`import <XDropTargetDropContext.idl;`

Inheritance diagram for XDropTargetDropContext:

## Public Member Functions
void | acceptDrop ([in] byte dragOperation)
| Accept the Drop.
void | rejectDrop ()
| Reject the drop as a result of examining the available com::sun::star::datatransfer::DataFlavor types received in the XDropTargetListener::dragEnter() method.
void | dropComplete ([in] boolean success)
| Signals that the drop is completed and if it was successful or not.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface is implemented by any drop target context object.

A DropTargetContext is created whenever the logical cursor associated with a Drag and Drop operation moves within the visible geometry of a window associated with a DropTarget.

The drop target context provides the mechanism for a potential receiver of a drop operation to provide the end user with the appropriate drag under feedback and to effect the subsequent data transfer, if appropriate.

## Member Function Documentation

## ◆ acceptDrop()

void acceptDrop | ( | [in] byte | dragOperation | ) |

Accept the Drop.

This method should be called from the com::sun::star::datatransfer::dnd::XDropTargetListener::drop() method if the implementation wishes to accept the drop operation with the specified action.

Parameters

  dragOperation | The operation accepted by the target.

See also
  DNDConstants
  DropTargetDragEvent

## ◆ dropComplete()

void dropComplete | ( | [in] boolean | success | ) |

Signals that the drop is completed and if it was successful or not.

Parameters

  success | A value of `TRUE` means the drop completed successfully

A value of `FALSE` means the drop completed unsuccessfully.

## ◆ rejectDrop()

void rejectDrop | ( |  | ) |

Reject the drop as a result of examining the available com::sun::star::datatransfer::DataFlavor types received in the XDropTargetListener::dragEnter() method.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDropTargetDropContext.idl